Get store products
Get products belong to a created store.
GET https://api.shipbubble.com/v1/external/marketplace/:store_id/products
Params
Name
Type
Description
store_id
string
Store ID of the store
Response
{
"status": "success",
"message": "Products retrieved successfully",
"data": {
"results": [
{
"product_id": "a4c37e530875",
"name": "Classic White Tee",
"description": "A comfortable everyday t-shirt",
"type": "single",
"sku": "GEN-CLAS-B4268S32",
"currency": "NGN",
"images": [
"https://example.com/tee.jpg"
],
"category": "Tees",
"total_stock": 0,
"is_active": true,
"captured": "2026-03-12T12:09:24.000Z",
"price": 7500,
"dimensions": {
"length_cm": 30,
"width_cm": 20,
"height_cm": 5
}
},
{
"product_id": "108509f1e2ea",
"name": "Classic White Tee",
"description": "A comfortable everyday t-shirt",
"type": "single",
"sku": "GEN-CLAS-B4268",
"currency": "NGN",
"images": [
"https://example.com/tee.jpg"
],
"category": "Tees",
"total_stock": 0,
"is_active": true,
"captured": "2026-03-12T11:59:33.000Z",
"price": 7500,
"dimensions": {
"length_cm": 30,
"width_cm": 20,
"height_cm": 5
}
},
{
"product_id": "864da2052939",
"name": "Classic White Tee",
"description": "A comfortable everyday t-shirt",
"type": "single",
"sku": "GEN-CLAS-F0B52",
"currency": "NGN",
"images": [
"https://example.com/tee.jpg"
],
"category": "Tees",
"total_stock": 0,
"is_active": true,
"captured": "2026-03-12T11:59:27.000Z",
"price": 7500,
"dimensions": {
"length_cm": 30,
"width_cm": 20,
"height_cm": 5
}
},
{
"product_id": "9fb53bbbf520",
"name": "Classic White Tee",
"description": "A comfortable everyday t-shirt",
"type": "single",
"sku": "GEN-CLAS-C3021",
"currency": "NGN",
"images": [
"https://example.com/tee.jpg"
],
"category": "Tees",
"total_stock": 0,
"is_active": true,
"captured": "2026-03-12T11:59:18.000Z",
"price": 7500,
"dimensions": {
"length_cm": 30,
"width_cm": 20,
"height_cm": 5
}
}
],
"pagination": {
"current": 0,
"perPage": 50,
"next": 1,
"total": 1,
"total_results": 4
}
}
}Last updated
Was this helpful?